{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        div#prod-content > p > img{
            max-width: 100% !important;
            height: auto  !important;
        }

        .img-bagss {
            position: absolute;
            background-color: red;
            padding: 5px 15px;
        }
        .tag-bln {
            color: #FFFFFF;
            font-weight: 600;
            font-size: 20px;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_product' %}">Product</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if prod %}
        <div class="text-right pt-3">
            {% if prod.deleted_at %}
                <div class="btn btn-success" onclick="restore_(`{{ prod.product_name }}`, '{{ prod.slug }}')"><i class="bi bi-arrow-counterclockwise"></i> Pulihkan</div>
                {% if request.user.is_staff %}
                    <div class="btn btn-danger" onclick="delete_('permanent_delete', `{{ prod.product_name }}`, '{{ prod.slug }}')"><i class="bi bi-trash"></i> Hapus Permanen</div>
                {% endif %}
            {% else %}
                <a href="{% url 'profile:admin_product_edit' slug=prod.slug %}"> 
                    <button type="button" class="btn btn-info my-2"><i class="bi bi-pencil"></i> Edit</button>
                </a>
                <div class="btn btn-danger" onclick="delete_('soft_delete', `{{ prod.product_name }}`, '{{ prod.slug }}')"><i class="bi bi-archive"></i> Arsipkan</div>
            {% endif %}
        </div>

        <input type="hidden" id="prod-slug" value="{{ prod.slug }}">
        <div class="py-3 mb-5">
            <div class="card">
                <div class="card-body">
                    {% if prod.best_seller %}
                        <div class="img-bagss">
                            <div class="tag-bln">Best Seller</div>
                        </div>
                    {% endif %}
                    <img src="{{ prod.images.url }}" class="img-fluid w-100 mb-3" alt="Responsive image">
                    <h2 class="text-dark mt-0">{{ prod.product_name }}</h2>
                    <p class="card-title mt-3">Author : <strong>{{ prod.created_by.first_name }} {{ prod.created_by.last_name }}</strong> | Kategori Produk : <strong>{{ prod.category }}</strong> | Tanggal Unggah : <strong>{{ prod.created_at }}</strong></p>
                    <hr>
                    <div id="prod-content">
                        {{ prod.description | safe }} 
                    </div>
                    <div>Tags: {% for tag in prod.tags.all %} <a href="{% url 'profile:tags' jenis='product' slug=tag.slug %}"><span class="badge badge-info">{{ tag.name }}</span></a> {% endfor %} </div>
                    
                </div>
            </div>
        </div>
    {% else %}
        <h1>DATA PRODUK TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% if prod.product_name %}
    {% block scripts_bawah %}
        <script>
            function restore_(nama, slug){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/product/restore/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Product berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/product/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Product gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, slug){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah anda yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/product/${action}/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Product berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/product/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Product gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
        </script>
    {% endblock scripts_bawah %}
{% endif %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}